package com.mvc.dao;

import com.mvc.entity.TUpgradePlan;
import com.mvc.entity.TUpgradePlanExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TUpgradePlanMapper {
    long countByExample(TUpgradePlanExample example);

    int deleteByExample(TUpgradePlanExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TUpgradePlan record);

    int insertSelective(TUpgradePlan record);

    List<TUpgradePlan> selectByExample(TUpgradePlanExample example);

    TUpgradePlan selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TUpgradePlan record, @Param("example") TUpgradePlanExample example);

    int updateByExample(@Param("record") TUpgradePlan record, @Param("example") TUpgradePlanExample example);

    int updateByPrimaryKeySelective(TUpgradePlan record);

    int updateByPrimaryKey(TUpgradePlan record);
}